Bug 603051 - /dev/changer symlink not created
/dev/changer symlink not created
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: udev (Show other bugs)
6.0
All Linux
low Severity high
: rc
: ---
Assigned To: Harald Hoyer
Alex Sersen
:
Depends On: 600983
Blocks:
  Show dependency treegraph
 
Reported: 2010-06-11 08:41 EDT by Harald Hoyer
Modified: 2013-10-31 21:33 EDT (History)
7 users (show)

See Also:
Fixed In Version: udev-147-2.19.el6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 600983
Environment:
Last Closed: 2010-11-10 16:50:28 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Harald Hoyer 2010-06-11 08:41:34 EDT
+++ This bug was initially created as a clone of Bug #600983 +++

Description of problem:

I have several systems with SCSI Medium Changers (auto-loaders, tape libraries) attached. Up to and including Fedora 12 udev would create a "/dev/changer" symbolic link pointing to the specific /dev/sg* device.  After updating these systems to Fedora 13, these links are missing on all systems. 

Version-Release number of selected component (if applicable):

udev-151-9.fc13.i686, udev-151-9.fc13.x86_64

How reproducible:

always

Steps to Reproduce:
1. Boot a system with a SCSI Medium Changer attached
2. Check that the console log contains output similar to this:
...
ch0: type #1 (mt): 0x0+1 [medium transport]
ch0: type #2 (st): 0x1+7 [storage]
ch0: type #3 (ie): 0x0+0 [import/export]
ch0: type #4 (dt): 0xf0+1 [data transfer]
ch0: dt 0xf0: READ ELEMENT STATUS failed
ch0: INITIALIZE ELEMENT STATUS, may take some time ...
ch0: ... finished
ch 10:0:4:0: Attached scsi changer ch0
ch 10:0:4:0: Attached scsi generic sg6 type 8
...
3. Check if the /dev/changer link is there:
# ls -l /dev/chang*
ls: cannot access /dev/chang*: No such file or directory

  
Actual results:

Link is missing.

Expected results:

Normally, /lib/udev/rules.d/40-redhat.rules would detect that a SCSI type 8 device is there and create symlinks (in the example above, "/dev/changer" and "/dev/changer-sg6").

Additional info:

--- Additional comment from harald@redhat.com on 2010-06-10 10:01:49 EDT ---

Does it work if you change SUBSYSTEM=="scsi_device" to SUBSYSTEM=="scsi_generic" in /lib/udev/rules.d/40-redhat.rules ?

--- Additional comment from wd@denx.de on 2010-06-10 15:42:54 EDT ---

Indeed - using SUBSYSTEM=="scsi_generic" works fine for me. Thanks a lot!
Comment 1 RHEL Product and Program Management 2010-06-11 08:53:03 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux major release.  Product Management has requested further
review of this request by Red Hat Engineering, for potential inclusion in a Red
Hat Enterprise Linux Major release.  This request is not yet committed for
inclusion.
Comment 3 Harald Hoyer 2010-06-29 06:39:47 EDT
udev-147-2.19.el6
Comment 6 releng-rhel@redhat.com 2010-11-10 16:50:28 EST
Red Hat Enterprise Linux 6.0 is now available and should resolve
the problem described in this bug report. This report is therefore being closed
with a resolution of CURRENTRELEASE. You may reopen this bug report if the
solution does not work for you.

Note You need to log in before you can comment on or make changes to this bug.